package com.ylx.massage.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ylx.common.core.domain.R;
import com.ylx.massage.domain.TRecharge;
import com.ylx.massage.domain.TWxUser;
import com.ylx.massage.mapper.TRechargeMapper;
import com.ylx.massage.service.TRechargeService;
import com.ylx.massage.service.TWxUserService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.time.LocalDateTime;


/**
 * 充值记录表 服务实现类
 */
@Service
public class TRechargeServiceImpl extends ServiceImpl<TRechargeMapper, TRecharge> implements TRechargeService {

    @Resource
    private TWxUserService wxUserService;

    @Override
    public R recharge(TRecharge recharge) {

        //增加充值记录
        recharge.setDtCreateTime(LocalDateTime.now());
        save(recharge);

        //todo 调用微信支付成功后增加账户金额

        //增加个人账户金额
        TWxUser user = wxUserService.getByOpenId(recharge.getcOpenId());
        user.setdBalance(user.getdBalance().add(recharge.getdMoney()));
        wxUserService.updateById(user);
        return R.ok();
    }
}
